<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'aiprovider_ollama', language 'sr_lt', version '5.0'.
 *
 * @package     aiprovider_ollama
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action:explain_text:model'] = 'Model objašnjenja teksta';
$string['action:explain_text:model_help'] = 'Model koji se koristi za objašnjenje datog teksta.';
$string['action:explain_text:systeminstruction'] = 'Sistemske instrukcije';
$string['action:explain_text:systeminstruction_help'] = 'Ovo uputstvo se šalje AI modelu zajedno sa upitom korisnika. Uređivanje ovog uputstva se ne preporučuje osim ako to nije apsolutno neophodno.';
$string['action:generate_text:model'] = 'Model generisanja teksta';
$string['action:generate_text:model_help'] = 'Model koji se koristi za generisanje tekstualnog odgovora.';
$string['action:generate_text:systeminstruction'] = 'Sistemske instrukcije';
$string['action:generate_text:systeminstruction_help'] = 'Ovo uputstvo se šalje AI modelu zajedno sa upitom korisnika. Uređivanje ovog uputstva se ne preporučuje osim ako to nije apsolutno neophodno.';
$string['action:summarise_text:model'] = 'Model sumiranja teksta';
$string['action:summarise_text:model_help'] = 'Model koji se koristi za sumiranje datog teksta.';
$string['action:summarise_text:systeminstruction'] = 'Sistemske instrukcije';
$string['action:summarise_text:systeminstruction_help'] = 'Ovo uputstvo se šalje AI modelu zajedno sa upitom korisnika. Uređivanje ovog uputstva se ne preporučuje osim ako to nije apsolutno neophodno.';
$string['custom_model_name'] = 'Naziv prilagođenog modela';
$string['enablebasicauth'] = 'Omogućite osnovnu proveru identiteta';
$string['enablebasicauth_help'] = 'Omogućite osnovnu proveru identiteta za Ollama API provajdera';
$string['endpoint'] = 'API krajnja tačka';
$string['endpoint_help'] = 'API krajnja tačka Ollama API servisa';
$string['extraparams'] = 'Dodatni parametri';
$string['extraparams_help'] = 'Ovde možete da konfigurišete dodatne parametre. Podržan je JSON format. Na primer:
<pre>
{
    "temperature": 0.5,
    "max_tokens": 100
}
</pre>';
$string['invalidjson'] = 'Neispravan JSON string';
$string['password'] = 'Lozinka';
$string['password_help'] = 'Lozinka koja se koristi za osnovnu proveru identiteta.';
$string['pluginname'] = 'Ollama API provajder';
$string['privacy:metadata'] = 'Dodatak za Ollama API provajdera ne čuva nikakve lične podatke.';
$string['privacy:metadata:aiprovider_ollama:externalpurpose'] = 'Ove informacije se šalju Ollama API-ju kako bi se generisao odgovor. Podešavanja vašeg Ollama naloga mogu da promene način na koji Ollama skladišti i čuva ove podatke. Ovaj dodatak ne šalje eksplicitno nikakve korisničke podatke Ollama servisu niti ih čuva u Moodle LMS-u .';
$string['privacy:metadata:aiprovider_ollama:model'] = 'Model koji se koristi za generisanje odgovora';
$string['privacy:metadata:aiprovider_ollama:prompttext'] = 'Korisnik je uneo tekstualni upit koji se koristi za generisanje odgovora.';
$string['settings'] = 'Podešavanja';
$string['settings_help'] = 'U nastavku možete da uredite podešavanja kako biste prilagodili način na koji se zahtevi šalju Ollama servisu.';
$string['settings_mirostat'] = 'Mirostat';
$string['settings_mirostat_help'] = 'Mirostat je algoritam za dekodiranje neuronskog teksta za kontrolu neizvesnosti u vrednosti uzorka. 0 = onemogućeno, 1 = Mirostat, 2 = Mirostat 2.0 (podrazumevano: 0).';
$string['settings_seed'] = 'seed';
$string['settings_seed_help'] = 'Parametar "seed" određuje nasumični broj koji će se koristiti za generisanje. Podešavanjem ovog paramettra na određeni broj dovešće do toga da model generiše isti tekst za isti upit (podrazumevano: 0).';
$string['settings_temperature'] = 'temperature';
$string['settings_temperature_help'] = 'Parametar "temperature" utiče na to da li je odgovor AI servisa nasumičniji i kreativniji ili predvidljiviji. Povećanje vrednosti ovog parametra učiniće da model odgovora kreativnije (podrazumevano: 0,8).';
$string['settings_top_k'] = 'top_k';
$string['settings_top_k_help'] = 'Smanjuje verovatnoću generisanja ”glupih” odgovora. Veća vrednost (npr. 100) će dati raznovrsnije odgovore, dok će niža vrednost (npr. 10) biti konzervativnija (podrazumevana vrednost: 40).';
$string['settings_top_p'] = 'top_p';
$string['settings_top_p_help'] = 'Funkcioniše zajedno sa podešavanjem top-k. Veća vrednost (npr. 0,95) će dovesti do raznovrsnijeg teksta, dok će niža vrednost (npr. 0,5) generisati fokusiraniji i konzervativniji tekst (podrazumevana vrednost: 0.9).';
$string['username'] = 'Korisničko ime';
$string['username_help'] = 'Korisničko ime koje se koristi za osnovnu proveru identiteta.';
